# Uses of Class
org.eclipse.jface.dialogs.ControlEnableState

Packages that use ControlEnableState
Package
Description
org.eclipse.jface.dialogs
Provides support for dialogs.

## Uses of ControlEnableState in org.eclipse.jface.dialogs

Methods in org.eclipse.jface.dialogs that return ControlEnableState
Modifier and Type
Method
Description
`static ControlEnableState`
ControlEnableState.`disable(Control w)`
Saves the current enable/disable state of the given control and its descendents in the returned object; the controls are all disabled.
`static ControlEnableState`
ControlEnableState.`disable(Control w, List<Control> exceptions)`
Saves the current enable/disable state of the given control and its descendents in the returned object except for the given list of exception cases; the controls that are saved are also disabled.